﻿using ImageProcessingGraph.Editor.Nodes.NodeAttributes;
using ImageProcessingGraph.Editor.Unity_Image_Processing.Scripts.Editor.Windows;
using UnityEditor;
using UnityEngine;
using UnityEngine.UIElements;

namespace ImageProcessingGraph.Editor.Nodes.Types.Utils.Connector
{
    [NodeInfo("", "Utility/Connection", false, null , editorType: typeof(GenericConnectionEditor))]
    public class GenericConnection : BaseImageNode
    { 
        private System.Type internalType;
        public System.Type InternalType { get { return internalType; } set { internalType = value; } }
        
        [NodeAttributes.Input(" ")] public object input;
        [NodeAttributes.Output(" ")] public object output;

        public override void Process()
        {
            this.output = this.input;
        }
    }

    public class GenericConnectionEditor : ImageProcessingGraphNodeVisual
    {
        public GenericConnectionEditor(BaseImageNode node, ImageProcessingGraphViewWindow window) : base(node, window)
        {
            this.Q("title").style.display = DisplayStyle.None;
        }
    }
}